main: use /dev/urandom by default
[olsrd.git] / debian / changelog
1 olsrd (0.6.1-1) UNRELEASED; urgency=low
2
3   * New upstream version with quite some fixes and new features, see upstream
4     changelog for details. Quoting from there:
5      Change in version number system. No more -rcX for release candidates and
6      -rX for bugfix releases. In future bugfix releases or updates of plugins
7      will increase the third digit of the version string while feature 
8      releases will increase the first and/or the second one.
9    Removed the following patches from series trying to make it build again:
10    - 100-debug_level.patch
11    - 240-plugin-install-targets.patch
12    - 260-quagga-plugin-detect-protocol-version.patch
13    - 270-make-kfbsd.patch
14    
15   THIS IS WORK IN PROGRESS and needs checking whether those patches are still
16   needed. Also 0.6.1 is out.
17
18   * Update package description, OLSR is no experimental protocol anymore. 
19
20  -- Holger Levsen <holger@debian.org>  Fri, 21 May 2010 23:47:52 +0200
21
22 olsrd (0.5.6-r8-1) unstable; urgency=low
23
24   * New upstream version, the eighth maintenance release of 0.5.6, introducing
25     options to set the source and destination IP of the OLSR packets and a 
26     more flexible handling config handling as well as some bug fixes including
27     memory leaks.
28
29  -- Holger Levsen <holger@debian.org>  Wed, 20 Jan 2010 01:13:43 +0000
30
31 olsrd (0.5.6-r7-1) unstable; urgency=low
32
33   * New upstream version, the seventh maintenance release of 0.5.6, with some
34     improvements in the ETX-FFmetric and new stabilization patches for the 
35     route generation.
36
37  -- Holger Levsen <holger@debian.org>  Wed, 11 Nov 2009 17:53:26 +0100
38
39 olsrd (0.5.6-r6-3) unstable; urgency=low
40
41   * Brown paper bag release: add 270-make-kfbsd.patch to debian/patches/series
42     so it actually gets applied. (Closes: #544758)
43
44  -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2009 11:31:38 +0200
45
46 olsrd (0.5.6-r6-2) unstable; urgency=low
47
48   * Do not override the general setting in Makefile.kfbsd to "honor DESTDIR 
49     in make install". Thanks to Petr Salinger for the patch. (Closes: #544758)
50
51  -- Holger Levsen <holger@debian.org>  Sat, 17 Oct 2009 13:00:41 +0000
52
53 olsrd (0.5.6-r6-1) unstable; urgency=low
54
55   * New upstream version, the sixth maintenance release of 0.5.6, adding
56     support for Debian kfreebsd (Closes: #544758) and including fixes for
57     httpinfo, txtinfo and dotdraw plugin to prevent them blocking in case of
58     timed out outgoing connections. 
59     Drop 250-dot-draw-plugin-honor-accept-parameter.patch as it has been
60     included in the new upstream release.
61   * Fix incorrect runlevels and dependencies in init.d LSB header, thanks to
62     Petter Reinholdtsen for spotting the issues and providing the patch.
63     (Closes: #548607)
64   * Bump standards version to 3.8.3, no changes necessary.
65
66  -- Holger Levsen <holger@debian.org>  Sat, 10 Oct 2009 14:55:37 +0200
67
68 olsrd (0.5.6-r5-1) unstable; urgency=low
69
70   * New upstream version, the fifth maintenance release of 0.5.6.
71   * Add patch by Sebastian Harl to add a listen parameter to the dot_draw
72     plugin. (Closes: #532573) - Thanks, Sebastian! 
73   * Re-enable quagga plugin. Since olsrd is licenced under the 3 clause BSD 
74     licence and quagga is GPL-2 code, the resuling binary is GPL-2 licenced
75     too, and thats fine. (Closes: #532761)
76     Add patch by Florian Forster to determine quagga protocol version - thanks
77     Florian!
78   * Add descriptions of quagga, bmf and txtinfo plugins to package 
79     description. (Closes: #532765)
80   * Bump standards version to 3.8.2.
81   * Update years in debian/copyright.
82
83  -- Holger Levsen <holger@debian.org>  Tue, 04 Aug 2009 12:10:35 +0000
84
85 olsrd (0.5.6-r4-1) unstable; urgency=low
86
87   * New upstream version, the fourth maintenance release of 0.5.6.
88   * olsrd.init: 
89     - do not write the pidfile until olsrd has actually been started
90       (Closes: #519842) - thanks to Sebastian Reichel for the bug report!
91     - only start olsrd if it is not already running. 
92   * Bump standards-version to 3.8.1.
93
94  -- Holger Levsen <holger@debian.org>  Sat, 30 May 2009 09:14:27 +0000
95
96 olsrd (0.5.6-r3-1) unstable; urgency=low
97
98   * New upstream release, the third maintenance release of 0.5.6.
99   * Adopt debian/patches/200-etc-olsrd.patch to cope with the whitespace
100     changes in the new release.
101
102  -- Holger Levsen <holger@debian.org>  Sat, 14 Mar 2009 18:31:55 +0100
103
104 olsrd (0.5.6~rc7-1) unstable; urgency=low
105
106   * New upstream release candidate.
107   * Use a PID file. (Closes: #484128)
108   * Bump standards-version to 3.8.0, no changes needed.
109   * Install the plugins into /usr/lib/olsrd/, to get rid off all the lintian
110     overrides. Adapted README.Debian to reflect that.
111   * Compile the source without DESTDIR, just install it to DESTDIR.
112   * Modify the plugin targets in the upstream Makefile to provide distinct
113     $pluginname_install targets, otherwise DESTDIR shows up in rpath. 
114   * Drop debian/patches/210-txtinfo-Makefile.patch as it has been adapted by
115     upstream.
116
117  -- Holger Levsen <holger@debian.org>  Sat, 12 Jul 2008 16:38:15 +0000
118
119 olsrd (0.5.5-3) unstable; urgency=low
120
121   * No longer work around a bug in debhelper (#470913) in debian/rules,
122     which was introduced in 0.5.5-2 to fix #471627. Due to this, it's also not
123     necessary to manually uncompress and compress some manpages, as debhelper
124     now handles this as well.
125
126  -- Holger Levsen <holger@debian.org>  Wed,  2 Apr 2008 13:06:27 +0200
127
128 olsrd (0.5.5-2) unstable; urgency=low
129
130   * update debian/copyright to clarify that src/cfgparser/oparse.(c|h)
131     has a special exception which allows distributing it under other
132     conditions than the GPL in special cases
133   * fix handling of zipped manpages (Closes: #471627)
134   * remove the quagga plugin from the binary package, as it is GPL licenced
135     and cannot be distributed together with the BSD licenced olsrd 
136   * remove linda overwrites as linda is deprecated
137   * updated lintian overwrites
138
139  -- Holger Levsen <holger@debian.org>  Mon, 31 Mar 2008 08:50:25 +0000
140
141 olsrd (0.5.5-1) unstable; urgency=low
142
143   * new upstream version
144   * removed unused lintian overwrites
145   * upgraded to policy 3.7.3, no changes requiered
146   * made debian/copyright machine readable following
147     http://wiki.debian.org/Proposals/CopyrightFormat and converted it to utf8
148   * patch upstream Makefile to use /usr/lib on amd64
149     (Closes: #461604)
150
151  -- Holger Levsen <holger@debian.org>  Sat, 09 Feb 2008 09:39:28 +0000
152
153 olsrd (0.5.4-2) unstable; urgency=low
154
155   * clean up olsrd makefile, fix a very annoying dependency bug in the olsrd
156     build system (Closes: #452100) - taken from OpenWRT, thanks to Felix
157     Fietkau 
158
159  -- Holger Levsen <holger@debian.org>  Tue, 20 Nov 2007 14:26:34 +0100
160
161 olsrd (0.5.4-1) unstable; urgency=low
162
163   * new upstream version
164   * add Homepage and Vcs-* headers to debian/control
165   * olsrd.conf: small improvements as suggested by Jens Nachtigall - Thanks!
166
167  -- Holger Levsen <holger@debian.org>  Fri, 16 Nov 2007 12:02:21 +0000
168
169 olsrd (0.5.3-3) unstable; urgency=low
170
171   * Undefine STRIP when running make install and instead use dh_strip so that 
172     DEB_BUILD_OPTIONS=nostrip can be used (Closes: #437676) 
173
174  -- Holger Levsen <holger@debian.org>  Sat, 18 Aug 2007 23:06:02 +0200
175
176 olsrd (0.5.3-2) unstable; urgency=low
177
178   * improved olsrd.conf settings (Thanks elektra!) and made olsrd quiet on 
179     default
180
181  -- Holger Levsen <holger@debian.org>  Sun, 12 Aug 2007 19:38:19 +0200
182
183 olsrd (0.5.3-1) unstable; urgency=low
184
185   * new upstream version (Closes: #404899, #405331)
186   * include bmf, quagga and txtinfo plugins in binary package
187
188  -- Holger Levsen <holger@debian.org>  Sun,  5 Aug 2007 01:49:19 +0200
189
190 olsrd (0.5.2-1) unstable; urgency=low
191
192   * new upstream release (Closes: #426580)
193   * added build-dependency on bison and flex
194   * removed dependency on libpthread2 (Closes: #412752)
195   * maintainer address updated
196   * updated README.Debian
197   * cleaned up debian/patches/ (from openwrt) as they are included
198     upstream by now
199   * added debian/todo in source
200   * make init-script exit gracefully if stopping olsrd fails (Closes: #412936)
201
202  -- Holger Levsen <holger@debian.org>  Wed,  1 Aug 2007 00:58:23 +0200
203
204 olsrd (0.4.10-3) unstable; urgency=low
205
206   * improved Makefile clean target to allow rebuilds
207   * fixed and improved broken /etc/default/olsrd and /etc/init.d/olsrd
208   * improved README.Debian and olsrd.conf
209
210  -- Holger Levsen <debian@layer-acht.org>  Wed, 20 Dec 2006 22:57:21 +0000
211
212 olsrd (0.4.10-2) unstable; urgency=low
213
214   * fix debian/copyright (gui/linux-gtk is GPL licenced, not BSD like the rest)
215   * upgraded debian/compat debhelper source-depends version to 5 (as it's enough 
216     if 0.4.10-1 builds on sarge without changes)
217   * use ${binary:Version} format for olsrd-plugins depends on olsrd, for the
218     same reason
219
220  -- Holger Levsen <debian@layer-acht.org>  Sun, 17 Dec 2006 18:51:00 +0000
221
222 olsrd (0.4.10-1) unstable; urgency=low
223
224   * Initial release (Closes: #401307, #243527)
225
226  -- Holger Levsen <debian@layer-acht.org>  Sat,  9 Dec 2006 17:04:26 +0000
227